package com.kingdee.eas.custom.dormitorysystem.otherbasicdata;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class DormitoryTypeTreeFactory
{
    private DormitoryTypeTreeFactory()
    {
    }
    public static com.kingdee.eas.custom.dormitorysystem.otherbasicdata.IDormitoryTypeTree getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.dormitorysystem.otherbasicdata.IDormitoryTypeTree)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("68A8F7FC") ,com.kingdee.eas.custom.dormitorysystem.otherbasicdata.IDormitoryTypeTree.class);
    }
    
    public static com.kingdee.eas.custom.dormitorysystem.otherbasicdata.IDormitoryTypeTree getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.dormitorysystem.otherbasicdata.IDormitoryTypeTree)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("68A8F7FC") ,com.kingdee.eas.custom.dormitorysystem.otherbasicdata.IDormitoryTypeTree.class, objectCtx);
    }
    public static com.kingdee.eas.custom.dormitorysystem.otherbasicdata.IDormitoryTypeTree getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.dormitorysystem.otherbasicdata.IDormitoryTypeTree)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("68A8F7FC"));
    }
    public static com.kingdee.eas.custom.dormitorysystem.otherbasicdata.IDormitoryTypeTree getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.dormitorysystem.otherbasicdata.IDormitoryTypeTree)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("68A8F7FC"));
    }
}